<?xml version="1.0" encoding="UTF-8"?>

<!-- IGAC proyecto SNC 

@author lorena.salamanca
@description Parametrizar horario de atención por territorial o UOC
@CU-NP-CO-252
@version 1.0	

@modified leidy.gonzalez Se agrega etiqueta: maxlength para los
parametros de fecha:: #16091 :: 31/03/2016

@modified by leidy.gonzalez:: #17020 :: 25/04/2016
Se elimina stepMinute de la etiqueta calendar para que no controle cantidad de minutos a ingresar
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="../templates/generalCU.xhtml">

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" />

        <p:messages id="msgsAF" showDetail="false" globalOnly="false" />

        <h:form id="parametrizarHorarioTerritorialForm">
            <p:fieldset toggleable="false">
                <legend>
                    <h:outputText value="Parametrizar horario de atención por territorial o UOC" styleClass="legendTitle" />
                </legend>

                <h:panelGrid columns="8" cellspacing="7" width="100%" id="panelFirma">

                    <h:panelGrid id="territorialPG" columns="6">
                        <h:outputLabel value="Territorial: "
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        <h:selectOneMenu id="territorial" label="Territorial"
                                         value="#{parametrizarHorarioTerritorial.territorialSeleccionada}"
                                         required="true"
                                         disabled="#{!parametrizarHorarioTerritorial.banderaSeleccionTerritorial}">
                            <f:selectItems value="#{parametrizarHorarioTerritorial.listaTerritoriales}" />
                            <p:ajax
                                update="parametrizarHorarioTerritorialForm,:msgsAF"
                                process="@this"
                                listener="#{parametrizarHorarioTerritorial.refrescarHorarioByTerritorial}">
                            </p:ajax>
                        </h:selectOneMenu>
                        <p:message for="territorial" display="icon"></p:message>
                    </h:panelGrid>

                    <h:panelGrid id="unidadPG" columns="6">
                        <h:outputLabel value="Unidad Operativa: "
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        <h:selectOneMenu id="unidadOperativa" label="Unidad Operativa"
                                         value="#{parametrizarHorarioTerritorial.UOCseleccionadaCodigo}" 
                                         disabled="#{!parametrizarHorarioTerritorial.banderaSeleccionUOC}">
                            <f:selectItem itemLabel="Seleccionar..." />
                            <f:selectItems value="#{parametrizarHorarioTerritorial.UOCItemList}" />
                            <p:ajax
                                update="parametrizarHorarioTerritorialForm,:msgsAF"
                                process="@this"
                                listener="#{parametrizarHorarioTerritorial.refrescarHorarioByUOC}">
                            </p:ajax>
                        </h:selectOneMenu>
                    </h:panelGrid>
                    <h:panelGrid id="fechaInicialPG" columns="6">
                        <h:outputLabel value="Fecha Inicial: "
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        <h:outputText value="#{parametrizarHorarioTerritorial.fechaHoy}"
                                      styleClass="outputTextStyle">
                            <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
                        </h:outputText>
                    </h:panelGrid>
                </h:panelGrid>

                <h:panelGrid width="80%" style="margin: 0 auto;">
                    <h:outputLabel value="Horario de atención para: #{parametrizarHorarioTerritorial.territorialSeleccionada}" styleClass="outputLabelStyle" rendered="#{parametrizarHorarioTerritorial.UOCseleccionadaCodigo == null}"/>
                    <h:outputLabel value="Horario de atención para: #{parametrizarHorarioTerritorial.UOCseleccionadaNombre}" styleClass="outputLabelStyle" rendered="#{parametrizarHorarioTerritorial.UOCseleccionadaCodigo != null}" />
                    <p:dataTable id="horarioDT" value="#{parametrizarHorarioTerritorial.horarioList}"
                                 var="horario" selection="#{parametrizarHorarioTerritorial.diasSeleccionados}" rowKey="#{horario.dia}" >

                        <p:ajax event="rowSelect" update=":parametrizarHorarioTerritorialForm:buttonsPG" process="horarioDT" />
                        <p:ajax event="rowUnselect" update=":parametrizarHorarioTerritorialForm:buttonsPG" process="horarioDT" />
                        <p:ajax event="toggleSelect" update=":parametrizarHorarioTerritorialForm:buttonsPG" process="horarioDT" />

                        <p:column selectionMode="multiple" />
                        <f:facet name="header"> <h:outputText value="Horario de atención"/></f:facet>
                        <p:column>
                            <f:facet name="header">Día</f:facet>
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{horario.dia}" />
                        </p:column>
                        <p:column>
                            <f:facet name="header">Hora Inicio Mañana</f:facet>
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{horario.horaInicialManhana}" >
                                <f:convertDateTime pattern="hh:mm a" locale="es_CO" timeZone="GMT-5"/>
                            </h:outputText>
                        </p:column>
                        <p:column>
                            <f:facet name="header">Hora Final Mañana</f:facet>
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{horario.horaFinalManhana}" >
                                <f:convertDateTime pattern="hh:mm a" locale="es_CO" timeZone="GMT-5"/>
                            </h:outputText>
                        </p:column>
                        <p:column>
                            <f:facet name="header">Hora Inicio Tarde</f:facet>
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{horario.horaInicialTarde}" >
                                <f:convertDateTime pattern="hh:mm a" locale="es_CO" timeZone="GMT-5"/>
                            </h:outputText>
                        </p:column>
                        <p:column>
                            <f:facet name="header">Hora Final Tarde</f:facet>
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{horario.horaFinalTarde}" >
                                <f:convertDateTime pattern="hh:mm a" locale="es_CO" timeZone="GMT-5"/>
                            </h:outputText>
                        </p:column>

                    </p:dataTable>

                    <h:panelGrid columns="3" id="buttonsPG">
                        <p:commandButton value="Jornada continua" oncomplete="jornadaContinuaWV.show()" update=":jornadaContinuaForm"
                                         icon="ui-icon-clock" disabled="#{empty parametrizarHorarioTerritorial.diasSeleccionados}"/>         
                        <p:commandButton value="Jornada dividida" oncomplete="jornadaDivididaWV.show()"
                                         icon="ui-icon-clock" disabled="#{empty parametrizarHorarioTerritorial.diasSeleccionados}"/>
                        <p:commandButton value="Limpiar horario" oncomplete="limpiarHorarioConfirmationWV.show()" update=":parametrizarHorarioTerritorialForm"
                                         icon="ui-icon-trash" disabled="#{empty parametrizarHorarioTerritorial.diasSeleccionados}"/>
                    </h:panelGrid>
                </h:panelGrid>
                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar" icon="ui-icon-circle-close"
                                     action="#{tareasPendientes.cerrar}" ajax="false" immediate="true" />
                </p:outputPanel>
            </p:fieldset>

        </h:form>

        <p:dialog header="Jornada dividida" dynamic="true"
                  widgetVar="jornadaDivididaWV" modal="true" appendToBody="true"
                  resizable="true" position="center" >
            <h:form id="jornadaDivididaForm"> 

                <p:messages id="msgsAF3" showDetail="false" globalOnly="false" />

                <p:spacer height="10"/>
                <p:fieldset toggleable="false">
                    <legend>
                        <h:outputText value="Horario Mañana" styleClass="legendTitle" />
                    </legend>
                    <h:panelGrid columns="8">
                        <h:outputLabel value="Inicio: " styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        <p:calendar id="horaInicialManhana"
                                    value="#{parametrizarHorarioTerritorial.horaInicialManhana}" navigator="true"
                                    pattern="hh:mm a" showOn="both" maxlength = "8"
                                    tabindex="0" timeOnly="true" effect="slideDown" size="12" />
                        <p:message for="horaInicialManhana" display="icon"></p:message>

                        <h:outputLabel value="Fin: " styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        <p:calendar id="horaFinalManhana"
                                    value="#{parametrizarHorarioTerritorial.horaFinalManhana}" navigator="true"
                                    pattern="hh:mm a" showOn="both" maxlength = "8"
                                    tabindex="0" timeOnly="true" effect="slideDown" size="12" />
                        <p:message for="horaFinalManhana" display="icon"></p:message>
                    </h:panelGrid>
                </p:fieldset>
                <p:spacer height="10"/>
                <p:fieldset toggleable="false">
                    <legend>
                        <h:outputText value="Horario Tarde" styleClass="legendTitle" />
                    </legend>
                    <h:panelGrid columns="8">
                        <h:outputLabel value="Inicio: " styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        <p:calendar id="horaInicialTarde"
                                    value="#{parametrizarHorarioTerritorial.horaInicialTarde}" navigator="true"
                                    pattern="hh:mm a" showOn="both" maxlength = "8"
                                    tabindex="0" timeOnly="true" effect="slideDown" size="12" />
                        <p:message for="horaInicialTarde" display="icon"></p:message>

                        <h:outputLabel value="Fin: " styleClass="outputLabelStyle" />
                        <p:calendar id="horaFinalTarde"
                                    value="#{parametrizarHorarioTerritorial.horaFinalTarde}" navigator="true"
                                    pattern="hh:mm a" showOn="both" maxlength = "8"
                                    tabindex="0" timeOnly="true" effect="slideDown" size="12" />
                        <p:message for="horaFinalTarde" display="icon"></p:message>
                    </h:panelGrid>
                </p:fieldset>
                <p:spacer height="10"/>
                <p:outputPanel layout="block" style="text-align:center">
                    <p:commandButton value="Guardar" action="#{parametrizarHorarioTerritorial.establecerJornadaDividida}"
                                     update=":parametrizarHorarioTerritorialForm,:jornadaDivididaForm:msgsAF3, :msgsAF"
                                     icon="ui-icon-disk" oncomplete="handleCompleteOnErrorSNC(xhr, status,args, jornadaDivididaWV, true);
                                     handleCompleteSIC(xhr, status, args, jornadaDivididaWV, false);"/>
                    <p:spacer width="10" />
                    <p:commandButton value="Cancelar" icon="ui-icon-close"
                                     oncomplete="jornadaDivididaWV.hide();" />
                </p:outputPanel>
                <p:spacer height="10" />
            </h:form>
        </p:dialog>

        <p:dialog header="Jornada continua"
                  widgetVar="jornadaContinuaWV" modal="true" appendToBody="true"
                  resizable="true" position="center" >
            <h:form id="jornadaContinuaForm">

                <p:messages id="msgsAF2" showDetail="false" globalOnly="false" />

                <p:spacer height="10"/>
                <p:fieldset toggleable="false">
                    <legend>
                        <h:outputText value="Horario Jornada Continua" styleClass="legendTitle" />
                    </legend>
                    <h:panelGrid columns="8">
                        <h:outputLabel value="Inicio: " styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        <p:calendar id="horaInicialManhana" 
                                    value="#{parametrizarHorarioTerritorial.horaInicialManhana}" navigator="true"
                                    pattern="hh:mm a" showOn="both" maxlength = "8"
                                    tabindex="0" timeOnly="true" effect="slideDown" />
                        <p:message for="horaInicialManhana" display="icon"></p:message>

                        <h:outputLabel value="Fin: " styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        <p:calendar id="horaFinalTarde"
                                    value="#{parametrizarHorarioTerritorial.horaFinalTarde}" navigator="true"
                                    pattern="hh:mm a" showOn="both" maxlength = "8"
                                    tabindex="0" timeOnly="true" effect="slideDown"/>
                        <p:message for="horaFinalTarde" display="icon"></p:message>
                    </h:panelGrid>
                </p:fieldset>
                <p:spacer height="10"/>
                <p:outputPanel layout="block" style="text-align:center">
                    <p:commandButton value="Guardar" action="#{parametrizarHorarioTerritorial.establecerJornadaContinua}"
                                     update=":parametrizarHorarioTerritorialForm, :jornadaContinuaForm:msgsAF2, :msgsAF"
                                     icon="ui-icon-disk" oncomplete="handleCompleteSIC(xhr, status, args, jornadaContinuaWV, false);"/>
                    <p:spacer width="10" />
                    <p:commandButton value="Cancelar" icon="ui-icon-close" oncomplete="jornadaContinuaWV.hide();" />
                </p:outputPanel>
                <p:spacer height="10" />
            </h:form>
        </p:dialog>

        <misc:confirmationDialogWithOutputMessageCC
            id="mensajeConfirmacionAdicion" ajaxBehavior="false" width="350"
            confirmationMessage="¿Está seguro de limpiar el horario de los días seleccionados?."
            confirmUpdate=":parametrizarHorarioTerritorialForm"
            confirmAction="#{parametrizarHorarioTerritorial.limpiarHorario}"
            confirmDialogWV="limpiarHorarioConfirmationWV" />
    </ui:define>
</ui:composition>